classification
Title: PyModule_GetState Segmentation fault when called Py_Initialize
Type: crash Stage: resolved
Components: Versions: Python 3.5
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Hua Liu, eric.snow, ncoghlan, vstinner
Priority: normal Keywords:

Created on 2019-08-15 09:18 by Hua Liu, last changed 2019-08-20 01:28 by Hua Liu. This issue is now closed.

Files
File name Uploaded Description Edit
backtrace.txt Hua Liu, 2019-08-15 09:24
Messages (2)
msg349798 - (view) Author: Hua Liu (Hua Liu) * Date: 2019-08-15 09:42
the crash file came out when i tried to call Py_Initialize in a C file.
Python2.7 and python3.5.3 were installed to my x86-64 box.
msg349955 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-08-19 10:43
Python 3.5 no longer accept bug fixes. Are you able to reproduce the bug with Python 3.8, or Python 3.7?

> the crash file came out when i tried to call Py_Initialize in a C file.

Can you provide this file?

What is your OS and OS version? How did you install Python?
History
Date User Action Args
2019-08-20 01:28:09Hua Liusetstatus: open -> closed
stage: resolved
2019-08-19 10:43:17vstinnersetmessages: + msg349955
2019-08-15 19:30:36nanjekyejoannahsetnosy: + ncoghlan, vstinner, eric.snow
2019-08-15 09:42:27Hua Liusetmessages: + msg349798
2019-08-15 09:24:27Hua Liusetfiles: + backtrace.txt
2019-08-15 09:18:25Hua Liucreate